Package gov.nih.nlm.ncbi.ngs

# Class NGS

java.lang.Object
gov.nih.nlm.ncbi.ngs.NGS

public class NGS extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NGS()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ExceptionInInitializerError`
  `getInitializationError()`
  Returns exception which occurred during initialization If the exception is a subclass of LibraryLoadError, then there was a problem with loading native libraries
  `static boolean`
  `isSupported()`
  Check to see if NGS SDK is supported by current environment
  `static boolean`
  `isValid(String spec)`
  Check to see if spec string represents an SRA archive
  `static void`
  `main(String[] args)`
  `static ReadCollection`
  `openReadCollection(String spec)`
  Create an object representing a named collection of reads
  `static ReferenceSequence`
  `openReferenceSequence(String spec)`
  Create an object representing a named reference sequence
  `static void`
  `setAppVersionString(String app_version)`
  Updates User-Agent header in HTTP communications

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NGS

    public NGS()

- ## Method Details

  - ### isSupported

    public static boolean isSupported()
    Check to see if NGS SDK is supported by current environment
    Returns:
      true if NGS SDK is supported

  - ### getInitializationError

    public static ExceptionInInitializerError getInitializationError()
    Returns exception which occurred during initialization If the exception is a subclass of LibraryLoadError, then there was a problem with loading native libraries
    Returns:
      initialization error or null

  - ### setAppVersionString

    public static void setAppVersionString(String app_version)
    Updates User-Agent header in HTTP communications
    Parameters:
      `app_version` - gives app name and version, e.g. "pileup-stats.1.0.0"

  - ### openReadCollection

    public static ReadCollection openReadCollection(String spec) throws ErrorMsg
    Create an object representing a named collection of reads
    Parameters:
      `spec` - may be a path to an object or may be an id, accession, or URL
    Returns:
      the requested read-collection
    Throws:
      `ErrorMsg` - if object cannot be located
      `ErrorMsg` - if object cannot be converted to a ReadCollection
      `ErrorMsg` - if an error occurs during construction

  - ### openReferenceSequence

    public static ReferenceSequence openReferenceSequence(String spec) throws ErrorMsg
    Create an object representing a named reference sequence
    Parameters:
      `spec` - may be a path to an object or may be an id, accession, or URL
    Returns:
      the requested reference
    Throws:
      `ErrorMsg` - if object cannot be located
      `ErrorMsg` - if object cannot be converted to a ReadCollection
      `ErrorMsg` - if an error occurs during construction

  - ### isValid

    public static boolean isValid(String spec)
    Check to see if spec string represents an SRA archive
    Parameters:
      `spec` - may be a path to an object or may be an id, accession, or URL
    Returns:
      true spec represents an SRA archive

  - ### main

    public static void main(String[] args)